export declare const htmlParsingRules: {
    contains: ({
        className: string;
        begin: string;
        end: string;
        relevance: number;
        contains: {
            begin: string;
            end: string;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            contains: any[];
            terminators: RegExp;
        }[];
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        terminators: RegExp;
        subLanguage?: undefined;
        keywords?: undefined;
        starts?: undefined;
    } | {
        className: string;
        begin: string;
        end: string;
        contains: ({
            begin: RegExp;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            end: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            contains: any[];
            terminators: RegExp;
            className?: undefined;
        } | {
            className: string;
            begin: string;
            relevance: number;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            end: RegExp;
            endRe: RegExp;
            terminator_end: string;
            contains: any[];
            terminators: RegExp;
        })[];
        relevance: number;
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        terminators: RegExp;
        subLanguage?: undefined;
        keywords?: undefined;
        starts?: undefined;
    } | {
        begin: string;
        end: string;
        relevance: number;
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        contains: any[];
        terminators: RegExp;
        className?: undefined;
        subLanguage?: undefined;
        keywords?: undefined;
        starts?: undefined;
    } | {
        className: string;
        begin: RegExp;
        end: RegExp;
        relevance: number;
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        contains: any[];
        terminators: RegExp;
        subLanguage?: undefined;
        keywords?: undefined;
        starts?: undefined;
    } | {
        begin: RegExp;
        end: RegExp;
        subLanguage: string;
        contains: ({
            begin: string;
            end: string;
            skip: boolean;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            contains: any[];
            terminators: RegExp;
            className?: undefined;
            illegal?: undefined;
        } | {
            className: any;
            begin: string;
            end: string;
            illegal: any;
            contains: any[];
            skip: boolean;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            terminators: RegExp;
        })[];
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        relevance: number;
        terminators: RegExp;
        className?: undefined;
        keywords?: undefined;
        starts?: undefined;
    } | {
        className: string;
        begin: string;
        end: string;
        keywords: {
            style: (string | number)[];
            script?: undefined;
        };
        contains: {
            endsWithParent: boolean;
            illegal: RegExp;
            relevance: number;
            contains: ({
                className: string;
                begin: string;
                relevance: number;
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                contains: any[];
                terminators: RegExp;
            } | {
                begin: RegExp;
                relevance: number;
                contains: {
                    className: string;
                    endsParent: boolean;
                    variants: any;
                    begin: RegExp;
                    end: RegExp;
                    compiled: boolean;
                    lexemesRe: RegExp;
                    beginRe: RegExp;
                    endRe: RegExp;
                    terminator_end: string;
                    relevance: number;
                    contains: any[];
                    terminators: RegExp;
                }[];
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                terminators: RegExp;
                className?: undefined;
            })[];
            compiled: boolean;
            lexemesRe: RegExp;
            begin: RegExp;
            beginRe: RegExp;
            terminator_end: string;
            illegalRe: RegExp;
            terminators: RegExp;
        }[];
        starts: {
            end: string;
            returnEnd: boolean;
            subLanguage: string[];
            compiled: boolean;
            lexemesRe: RegExp;
            begin: RegExp;
            beginRe: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            contains: any[];
            terminators: RegExp;
        };
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        relevance: number;
        terminators: RegExp;
        subLanguage?: undefined;
    } | {
        className: string;
        begin: string;
        end: string;
        keywords: {
            script: (string | number)[];
            style?: undefined;
        };
        contains: {
            endsWithParent: boolean;
            illegal: RegExp;
            relevance: number;
            contains: ({
                className: string;
                begin: string;
                relevance: number;
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                contains: any[];
                terminators: RegExp;
            } | {
                begin: RegExp;
                relevance: number;
                contains: {
                    className: string;
                    endsParent: boolean;
                    variants: any;
                    begin: RegExp;
                    end: RegExp;
                    compiled: boolean;
                    lexemesRe: RegExp;
                    beginRe: RegExp;
                    endRe: RegExp;
                    terminator_end: string;
                    relevance: number;
                    contains: any[];
                    terminators: RegExp;
                }[];
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                terminators: RegExp;
                className?: undefined;
            })[];
            compiled: boolean;
            lexemesRe: RegExp;
            begin: RegExp;
            beginRe: RegExp;
            terminator_end: string;
            illegalRe: RegExp;
            terminators: RegExp;
        }[];
        starts: {
            end: string;
            returnEnd: boolean;
            subLanguage: string[];
            compiled: boolean;
            lexemesRe: RegExp;
            begin: RegExp;
            beginRe: RegExp;
            endRe: RegExp;
            terminator_end: string;
            relevance: number;
            contains: any[];
            terminators: RegExp;
        };
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        relevance: number;
        terminators: RegExp;
        subLanguage?: undefined;
    } | {
        className: string;
        begin: string;
        end: string;
        contains: ({
            className: string;
            begin: RegExp;
            relevance: number;
            compiled: boolean;
            lexemesRe: RegExp;
            beginRe: RegExp;
            end: RegExp;
            endRe: RegExp;
            terminator_end: string;
            contains: any[];
            terminators: RegExp;
            endsWithParent?: undefined;
            illegal?: undefined;
            illegalRe?: undefined;
        } | {
            endsWithParent: boolean;
            illegal: RegExp;
            relevance: number;
            contains: ({
                className: string;
                begin: string;
                relevance: number;
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                contains: any[];
                terminators: RegExp;
            } | {
                begin: RegExp;
                relevance: number;
                contains: {
                    className: string;
                    endsParent: boolean;
                    variants: any;
                    begin: RegExp;
                    end: RegExp;
                    compiled: boolean;
                    lexemesRe: RegExp;
                    beginRe: RegExp;
                    endRe: RegExp;
                    terminator_end: string;
                    relevance: number;
                    contains: any[];
                    terminators: RegExp;
                }[];
                compiled: boolean;
                lexemesRe: RegExp;
                beginRe: RegExp;
                end: RegExp;
                endRe: RegExp;
                terminator_end: string;
                terminators: RegExp;
                className?: undefined;
            })[];
            compiled: boolean;
            lexemesRe: RegExp;
            begin: RegExp;
            beginRe: RegExp;
            terminator_end: string;
            illegalRe: RegExp;
            terminators: RegExp;
            className?: undefined;
            end?: undefined;
            endRe?: undefined;
        })[];
        compiled: boolean;
        lexemesRe: RegExp;
        beginRe: RegExp;
        endRe: RegExp;
        terminator_end: string;
        relevance: number;
        terminators: RegExp;
        subLanguage?: undefined;
        keywords?: undefined;
        starts?: undefined;
    })[];
    compiled: boolean;
    lexemesRe: RegExp;
    relevance: number;
    terminators: RegExp;
};
